Subject: Bug#1270: x2go: User which Logon via Windows Domain accountname can not resume sessions

From: Sammeth Manuel <[email-masked]>
Date: Mon, 12 Mar 2018 09:57:46 +0000

Package: x2goserver
Version: 4.1.0.0

Hi,

I occured the following bug:

I integrated a Linux Server within a Windows Domain via samba.
The users do login with their AD account DOM\useraccount

The following error occurs in x2go client:

The corresponding directory is not existing on the Server because the "\" ist not escaped correct

ltslinux:/tmp/.x2go-DOMuseraccount # ll
total 28
drwx------ 4 DOM\m.sammeth DOM\domänen-benutzer 4096 Mar  9 11:59 C-DOMm.sammeth-119-1520593163_stDKDE_dp32
drwx------ 4 DOM\m.sammeth DOM\domänen-benutzer 4096 Mar  9 12:01 C-DOMm.sammeth-120-1520593272_stDKDE_dp32
drwx------ 4 DOM m.sammeth DOM\domänen-benutzer 4096 Mar 12 09:55 C-DOMm.sammeth-125-1520844881_stDKDE_dp32

Session resume is not possible at all and sessions can not be stopped properly. The files and directories are also not deleted.

Mit freundlichen Grüßen/Kind regards   I
Manuel Sammeth
Technical Consultant
SAP Administrator

FIS-ASP Application Service Providing und
IT-Outsourcing GmbH
Röthleiner Weg 4
D-97506 Grafenrheinfeld
Phone: +49 (9723) 9188-658
Fax: +49 (9723) 9188-600

email: [email-masked] <mailto:[email-masked]%20>  web: www.fis-asp.de
<http://www.fis-asp.de%20%0b>
Geschäftsführer Robert Schuhmann
Registergericht Schweinfurt HRB 3865

<https://www.fis-gmbh.de/de/aktuelles-downloads/veranstaltungen/fis-innovationstag-2018-detail/?utm_medium=email&utm_source=signaturbanner&utm_campaign=sig-innovationstag18asp_16-02-2018&utm_content=>